/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_ALLOCATE_H_
#define	_ALLOCATE_H_

#pragma ident	"@(#)allocate.h	1.4	08/10/17 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include <stdlib.h>

void *xmalloc(int size, int line, char *filep);
#define	Xmalloc(_size)	xmalloc(_size, __LINE__, __FILE__)

void *xcalloc(int num, int size, int linen, char *filep);
#define	Xcalloc(_num, _type) xcalloc(_num, sizeof (_type), __LINE__, __FILE__)

#define	Xfree(_p)	free(_p)

void *xrealloc(void *, int, int, char *);
#define	Xrealloc(_oldp, _size)	xrealloc(_oldp, _size, __LINE__, __FILE__)

char *xstrdup(char *ptr, int linen, char *filen);
#define	Xstrdup(_s)	xstrdup(_s, __LINE__, __FILE__)

char *xstrldup(char *ptr, int maxlen, int linen, char *filen);
#define	Xstrldup(_s, _m)	xstrldup(_s, _m, __LINE__, __FILE__)


#define	Zfree(_p) do { if ((_p) != NULL) { free(_p); (_p) = NULL; } } while (0)

#ifdef __cplusplus
}
#endif

#endif /* _ALLOCATE_H_ */
