/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef _AUDIT_LDOM_H
#define	_AUDIT_LDOM_H

#pragma ident	"@(#)audit_ldom.h	1.2	06/08/01 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef USE_PRIVATE_BSD_AUDIT_APIS

/* Newer, but project-private interface (requires a contract and custom code) */
#include <bsm/adt.h>		/* adt_* API */

#define	NULL_AUDIT_HANDLE	NULL
typedef adt_session_data_t *audit_handle_t;

#else /* public interface */

#define	NULL_AUDIT_HANDLE	(-1)
typedef int audit_handle_t;

#endif

/*
 * General APIs
 */

audit_handle_t audit_ldm_request(int sock_fd, int argc, char *cmd, ...);
audit_handle_t audit_ldm_request_argv(int sock_fd, int argc, char *argv[]);
audit_handle_t audit_ldm_request_cmd_argv(int sock_fd, char *cmd,
			int argc, char *argv[]);

int close_audit_stream(audit_handle_t ad, int status);

#ifdef __cplusplus
}
#endif

#endif	/* _AUDIT_LDOM_H */
