/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef _AUTH_LDOM_H
#define	_AUTH_LDOM_H

#pragma ident	"@(#)auth_ldom.h	1.11	09/05/07 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include <sys/types.h>		/* uid_t */

#include "clp.h"		/* ldm_cmd_num_t */

/* get the socket's peer UID if known */
uid_t socket_peer_euid(int sock_fd);

/* for ldm CLI commands */
int auth_check_euid(uid_t euid, action_verb_t cmd);
int auth_check_fd(int sock_fd, action_verb_t cmd);

/* for XML requests */
int auth_check_xml_euid(uid_t euid, char *xml_cmd);
int auth_check_xml_fd(int sock_fd, char *xml_cmd);
int auth_check_xml_username(char *username, char *xml_cmd);

/* ldm privilege support */
void	ldm_priv_init(void);
void	priv_on(void);
void	priv_off(void);

#ifdef __cplusplus
}
#endif

#endif	/* _AUTH_LDOM_H */
