/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_AUTOSAVE_H_
#define	_AUTOSAVE_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

#include "basics.h"
#include "ldom.h"
#include "response.h"

extern bool_t autosave_rename_default(char *mdset_name, response_t *resp);
extern void autosave_gen_guest_md(ldom_t *ldp, uint64_t mdaddr, uint8_t *buf,
    int size);
extern void autosave_gen_hv_md(uint64_t mdaddr, uint8_t *buf, int size);
extern void autosave_gen_sp_pri_md(uint8_t *buf, int size);
extern int autosave_set_spconfig_timestamp(char *mdset_name);
extern void autosave_poweron(void);
extern int autosave_check_spconfig(response_t *resp, xmlNodePtr);
extern void autosave_remove_spconfig_update(char *mdset_name);
extern void autosave_update_autosave(void);
extern void autosave_notify_mdstore_ready(void);
extern void autosave_allow_updates(void);
extern int autosave_get_mdsets(char *mdset_name, int *nmdsetsp,
    char ***mdset_namesp);
extern int autosave_download_mdset(char *mdset_name, char *new_mdset_name,
    response_t *resp);
extern int autosave_rmdir(char *mdset_name, bool_t keep_sp_timestamp);
extern void autosave_free_list(char **listp, int nlist);
extern bool_t autosave_autosave_is_newer(char *mdset_name);
extern void autosave_initiate_delayed_reconfig(void);
extern void autosave_cancel_delayed_reconfig(void);
extern void autosave_finish_delayed_reconfig(void);

/* autorecovery_policy values */
#define	AUTORECOVERY_POLICY_LOG		1
#define	AUTORECOVERY_POLICY_NOTIFY	2
#define	AUTORECOVERY_POLICY_RECOVER	3

#ifdef __cplusplus
}
#endif

#endif	/* _AUTOSAVE_H_ */
