/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_CONTROL_CLASS_H
#define	_CONTROL_CLASS_H

#pragma ident	"@(#)control_class.h	1.2	07/04/27 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include "cli_conn.h"

/*
 * 0-3 are used by the ldm_protocol's initialization calls. We then must start
 * the control message types at #4.
 */
enum {
	LDM_CNTRL_PRI_REQ	= 0x4,
	LDM_CNTRL_PRI_REPLY	= 0x5,
	LDM_CNTRL_XML_REQ	= 0x6,
	LDM_CNTRL_XML_RESP	= 0x7
};

typedef struct {
	uint64_t	rq_id;
} cntrl_pri_req_t;

typedef struct {
	uint64_t	rp_reqid;
	uint8_t		rp_data[];
} cntrl_pri_reply_t;


void cntrl_pri_req(cli_conn_t *conn);

#ifdef __cplusplus
}
#endif

#endif	/* _CONTROL_CLASS_H */
