/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_CORE_MD_H_
#define	_CORE_MD_H_

#pragma ident	"@(#)core_md.h	1.4	08/09/24 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include "mdesc_impl.h"

#define	CORE_MD_OP_STATUS "op_status"
#define	CORE_MD_PM_STATUS "pm_status"

typedef enum {
	PM_NORMAL,
	PM_MANAGED
} pm_status_t;

void augment_core_md(md_t *core_md);
int set_core_md_cpu_status(uint64_t pid, char *status_prop,
    uint64_t cpu_status);
int get_core_md_cpu_status(uint64_t pid, char *status_prop);

#ifdef __cplusplus
}
#endif

#endif /* _CORE_MD_H_ */
