/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_FATAL_H_
#define	_FATAL_H_

#pragma ident	"@(#)fatal.h	1.5	08/02/21 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __GNUC__
#define	__attribute__(x)
#endif

#include <stdarg.h>

#include "basics.h"

#define	FATAL_UNEXPECTED_ERROR(e)				\
	fatal("Unexpected error code %d at line %d of %s", (e),	\
	    __LINE__, __FILE__)

char *zvsprintf(char *formatp, va_list vargs);
/*PRINTFLIKE1*/
char *zsprintf(char *formatp, ...) __attribute__((format(printf, 1, 2)));

void vfatal(bool_t quit, bool_t ign_errno, char *fmt, va_list args);
/*PRINTFLIKE1*/
void fatal(char *fmt, ...) __attribute__((noreturn, format(printf, 1, 2)));
/*PRINTFLIKE1*/
void efatal(char *fmt, ...) __attribute__((noreturn, format(printf, 1, 2)));
/*PRINTFLIKE1*/
void warning(char *fmt, ...) __attribute__((format(printf, 1, 2)));
/*PRINTFLIKE1*/
void ewarning(char *fmt, ...) __attribute__((format(printf, 1, 2)));

#ifdef __cplusplus
}
#endif

#endif /* _FATAL_H_ */
