/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_FMA_IO_DOMAIN_H
#define	_FMA_IO_DOMAIN_H

#pragma ident	"@(#)fma_io_domain.h	1.2	09/02/09 SMI"

#ifdef __cplusplus
extern "C" {
#endif

/* FMA IO DOMAIN message numbers */
#define	FMA_PCI_REQ_LDOM	0x0
#define	FMA_NIU_REQ_LDOM	0x1

typedef struct fma_io_service_req {
	uint64_t	req_num;
	uint32_t	msg_type;
	uint32_t	reserved;
	uint64_t	rsrc_address;
} fma_io_service_req_t;

/* FMA IO result codes */
#define	FMA_IO_RESP_OK		    0x0
#define	FMA_IO_RESP_FAILURE	    0x1
#define	FMA_IO_RESP_ILLEGAL	    0x2
#define	FMA_IO_RESP_UNASSIGNED	    0x3

#define	ILLEGAL_DOM_ID		    0xffffffffffffffff

typedef struct fma_io_resp {
	uint64_t	req_num;
	uint32_t	result;
	uint32_t	reserved;
	uint64_t	virt_rsrc_address;
	ds_domain_hdl_t	dom_id;
} fma_io_resp_t;

#ifdef __cplusplus
}
#endif

#endif	/* _FMA_IO_DOMAIN_H */
