/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_FMA_MEM_H
#define	_FMA_MEM_H

#pragma ident	"@(#)fma_mem.h	1.2	06/07/12 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include <inttypes.h>

/* FMA memory services message numbers */
#define	FMA_MEM_REQ_STATUS	0x0
#define	FMA_MEM_REQ_RETIRE	0x1
#define	FMA_MEM_REQ_RESURRECT	0x2

typedef struct {
	uint64_t	req_num;
	uint32_t	msg_type;
	uint32_t	_resvd;
	uint64_t	addr;
	uint64_t	length;
} fma_mem_service_req_t;

/* FMA result codes */
#define	FMA_MEM_RESP_OK		0x0
#define	FMA_MEM_RESP_FAILURE	0x1

/* FMA status codes */
#define	FMA_MEM_STAT_NOTRETIRED		0X0
#define	FMA_MEM_STAT_RETIRED		0X1
#define	FMA_MEM_STAT_ILLEGAL		0x2

typedef struct {
	uint64_t	req_num;
	uint32_t	result;
	uint32_t	status;
	uint64_t	res_addr;
	uint64_t	res_length;
} fma_mem_resp_t;

int zeus_page_retire(fma_mem_service_req_t *send, fma_mem_resp_t *resp);

#ifdef __cplusplus
}
#endif

#endif	/* _FMA_MEM_H */
