/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_FRAGS_H
#define	_FRAGS_H

#pragma ident	"@(#)frags.h	1.4	08/02/21 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include "ldom.h"
#include "mdesc_impl.h"
#include "memory.h"

#define	INVALID_FRAG_PA	(0xffffffffffffffffull)

bound_mfrag_t *frag_alloc(ldom_t *ldp, int size);
bound_mfrag_t *frag_assign(ldom_t *ldp, uint64_t pa);
bound_mfrag_t *frag_clone(bound_mfrag_t *orig_frag);
void frag_free(bound_mfrag_t *frag);
void frag_free_mblock(mblock_t *mblk);

void hv_md_alloc_init(uint64_t baseaddr, uint64_t size, uint64_t md_maxsize);
bound_mfrag_t *hv_md_alloc(void);
bound_mfrag_t *hv_md_assign(uint64_t pa);
void hv_md_free(bound_mfrag_t *hvfrag);
void hv_md_mblock_gen_node(md_t *hvmd);

extern int max_hv_md_size;

#ifdef __cplusplus
}
#endif

#endif	/* _FRAGS_H */
