/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_KEYS_H
#define	_KEYS_H

#pragma ident	"@(#)keys.h	1.1	08/09/19 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include "ldmd_types.h"
#include "basics.h"
#include "dispctl.h"
#include "mdesc_impl.h"
#include "nvlist.h"
#include "response.h"

/*
 * The data structure used for an LDom's key store is an unsorted linear
 * array of <name,value> pairs.
 */
typedef nvlist_t ldom_keys_t;
typedef nvpair_t ldom_key_t;

void init_keys(ldom_keys_t *keys);
void free_keys(ldom_keys_t *keys);
void gen_guest_md_keys(ldom_t *, md_t *);
void restore_guest_keys(ldom_t *, md_t *);
bool_t add_ldom_key(ldom_t *, char *, char *);
bool_t del_ldom_key(ldom_t *, char *);
char *get_ldom_key(ldom_t *, char *);
bool_t set_keys_from_properties(ldom_t *, md_node_t *);

#ifdef __cplusplus
}
#endif

#endif /* _KEYS_H */
