/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_LDMD_DISCOVERY_H_
#define	_LDMD_DISCOVERY_H_

#pragma ident	"@(#)ldmd_discovery.h	1.1	07/02/07 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include <netdb.h>

#define	ZEUS_VERSION_LEN	32

typedef struct {
	char		zeus_version[ZEUS_VERSION_LEN];
	char		hostname[MAXHOSTNAMELEN];
	struct in_addr	ip_address;
	int		port_no;
} ldmd_discovery_t;

void handle_ldmd_discovery(ldmd_discovery_t *multicast_msg, int sock_out,
    struct sockaddr_in sock_w);

#ifdef __cplusplus
}
#endif

#endif /* _LDMD_DISCOVERY_H_ */
