/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_LDMD_TYPES_H
#define	_LDMD_TYPES_H

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Pre definitions for a number of files.
 */
typedef struct pri_cpu		pri_cpu_t;
typedef struct pri_core		pri_core_t;
typedef struct pri_chip		pri_chip_t;
typedef struct pri_mau		pri_mau_t;
typedef struct pri_mblock	pri_mblock_t;

typedef struct pri_iodevice	pri_iodevice_t;
typedef struct pri_pcie_dev	pri_pcie_dev_t;
typedef struct pri_pcie_subdev	pri_pcie_subdev_t;
typedef struct pri_image	pri_image_t;
typedef struct pri_image_cont	pri_img_cont_t;

typedef struct bound_mfrag	bound_mfrag_t;
typedef struct bound_iodevice	bound_iodevice_t;
typedef struct bound_pcie_dev	bound_pcie_dev_t;

typedef struct req_iodevice	req_iodevice_t;
typedef struct req_pcie_dev	req_pcie_dev_t;
typedef struct ldom		ldom_t;

typedef struct vldc		vldc_t;
typedef struct vldc_port	vldc_port_t;
typedef struct vldcc		vldcc_t;
typedef struct vldcc_port	vldcc_port_t;
typedef struct ds_port		ds_port_t;
typedef struct hvctl_port	hvctl_port_t;

typedef struct vcc		vcc_t;
typedef struct vcc_console	vcc_console_t;
typedef struct vcc_binding	vcc_binding_t;
typedef struct console_group	console_group_t;

typedef struct console		console_t;
typedef struct console_binding	console_binding_t;

typedef struct ldc_chan		ldc_chan_t;
typedef struct ldc_list		ldcs_t;
typedef struct sp_guest_ldc	sp_guest_ldc_t;
typedef struct guest_sp_ldc	guest_sp_ldc_t;
typedef struct ldc_epdb 	ldc_epdb_t;

typedef struct vsw		vsw_t;
typedef struct vsw_binding	vsw_binding_t;
typedef struct vsw_port		vsw_port_t;

typedef struct vnet		vnet_t;
typedef struct vnet_peer	vnet_peer_t;
typedef struct vnet_binding	vnet_binding_t;

typedef struct vds		vds_t;
typedef struct vds_port		vds_port_t;
typedef struct vds_volume	vds_volume_t;
typedef struct vds_binding	vds_binding_t;
typedef struct mpgroup		mpgroup_t;

typedef struct vdisk		vdisk_t;
typedef struct vdisk_binding	vdisk_binding_t;
typedef struct vdisk_port	vdisk_port_t;

typedef struct vdpcs		vdpcs_t;
typedef struct vdpcs_port	vdpcs_port_t;
typedef struct vdpcs_binding	vdpcs_binding_t;

typedef struct vdpcc		vdpcc_t;
typedef struct vdpcc_binding	vdpcc_binding_t;

/* resolve circular struct references */
struct ds_svc;
struct cli_conn;
struct vcpu;
struct cpu_adm;
struct vmau;
struct mau_adm;
struct mblock;

#ifdef __cplusplus
}
#endif

#endif	/* _LDMD_TYPES_H */
