/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_CLI_RES_CMDS_H_
#define	_CLI_RES_CMDS_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "cli_conn.h"
#include "ldomconfigure.h"


typedef struct ACTION_OP action_op_t;
typedef struct CLI_RES_CMDS cli_res_cmds_t;

struct ACTION_OP {
	cli_result_t	(*funcp)(int argc, char **argvp, cli_conn_t *client);
	char	*helpstrp;
};

struct CLI_RES_CMDS {
	char	*resinfop;
	action_op_t	add_op;
	action_op_t	set_op;
	action_op_t	remove_op;
	action_op_t	list_op;
	action_op_t	start_op;
	action_op_t	stop_op;
	action_op_t	bind_op;
	action_op_t	unbind_op;
	action_op_t	panic_op;
	action_op_t	migrate_op;
	action_op_t	cancel_op;
};

extern cli_res_cmds_t cli_domain_cmds;
extern cli_res_cmds_t cli_vcpu_cmds;
extern cli_res_cmds_t cli_memory_cmds;
extern cli_res_cmds_t cli_crypto_cmds;
extern cli_res_cmds_t cli_vswitch_cmds;
extern cli_res_cmds_t cli_vnet_cmds;
extern cli_res_cmds_t cli_vdiskserver_cmds;
extern cli_res_cmds_t cli_vds_device_cmds;
extern cli_res_cmds_t cli_vdisk_cmds;
extern cli_res_cmds_t cli_vdpcs_cmds;
extern cli_res_cmds_t cli_vdpcc_cmds;
extern cli_res_cmds_t cli_vcc_cmds;
extern cli_res_cmds_t cli_io_cmds;
extern cli_res_cmds_t cli_spconfig_cmds;
extern cli_res_cmds_t cli_vcons_cmds;
extern cli_res_cmds_t cli_var_cmds;
extern cli_res_cmds_t cli_option_cmds;
extern cli_res_cmds_t cli_devices_cmds;
extern cli_res_cmds_t cli_bindings_cmds;
extern cli_res_cmds_t cli_services_cmds;
extern cli_res_cmds_t cli_constraints_cmds;
extern cli_res_cmds_t cli_reconf_cmds;
extern cli_res_cmds_t cli_cancel_cmds;
extern cli_res_cmds_t cli_policy_cmds;

#ifdef __cplusplus
}
#endif

#endif /* _CLI_RES_CMDS_H_ */
