/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_LIB_CAP_H_
#define	_LIB_CAP_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "basics.h"
#include "ldom.h"
#include "response.h"

/*
 * This file defines what services the zeus
 * libraries are exporting
 */

/*
 * Add a new vio service/client from an MD node in guest/HV MD
 * Individuals modules to know how to interpret the properties
 * in the guest MD and construct the vio structure.
 */
typedef void *(*add_vio_from_mdnode_f)(ldom_t *ldp, md_t *guest_mdp,
		md_node_t *vdev_p, md_t *hv_mdp,
		md_node_t *hv_guestp);

/*
 * Add a vio server/client given it's requirements in the
 * requirement database.
 */
typedef void *(*add_vio_from_db_f)(ldom_t *ldp, ...);

#ifdef __cplusplus
}
#endif

#endif	/* _LIB_CAP_H_ */
