/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_OPTION_H_
#define	_OPTION_H_

#ifdef __cplusplus
extern "C" {
#endif

struct ldmd_options {
	unsigned short port;
	int	xmpp_port;
	bool_t	xmpp_enabled;
	bool_t	be_selected;
	bool_t	tgt_selected;
	bool_t	flag_daemonise;
	bool_t	load_database;
	bool_t	mgmt_mode;
	bool_t	in_place;
	bool_t	validate_xml;
	bool_t	allow_crypto_dr;	/* allow CPU DR with crypto */
	bool_t	allow_pm;		/* call pm_start */
	bool_t	allow_drm;		/* allow dynamic resource mgmt */
	bool_t	allow_defrag;		/* allow CPU defragmentation */
	bool_t	secure_migration;	/* protect migration with SSL */
	bool_t	incoming_migration_enabled;	/* migration in from ext host */
	bool_t	outgoing_migration_enabled;	/* migration to another host */
	bool_t	warm_migration_compression;	/* enable mig compression */
	int	mig_nworkers;			/* number of comp/decomp thds */
	bool_t	allow_dash_p;			/* -p option for cpus & maus */
	int	mac_ttl;
	char	*pri_file;
	int	min_vcpu_per_ldom;	/* min vcpus powered up per ldom */
	int	max_pm_cpu_adjust;	/* PM adjust limit for cpu resources */
	int	autorecovery_policy;	/* 1=log, 2=notify, 3=recover */
};

extern struct ldmd_options option;

#ifdef __cplusplus
}
#endif

#endif	/* _OPTION_H_ */
