/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)disk.h	1.2	09/06/05 SMI"

#ifndef _P2V_DISK_H
#define	_P2V_DISK_H

#ifdef __cplusplus
extern "C" {
#endif

#include "ldmp2v.h"

int attach_vdisks(config_t *);
int create_vdisks(const config_t *, config_t *, int);
int get_vdisks(config_t *);
char *get_disk_pri_name(const char *);
int remove_vdsdev(const char *, const char *);
int get_zfs_mountpoint(const char *, char *, int);

#ifdef __cplusplus
}
#endif

#endif	/* _P2V_DISK_H */
