/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)filesys.h	1.1	09/06/01 SMI"

#ifndef _P2V_FILESYS_H
#define	_P2V_FILESYS_H

#ifdef __cplusplus
extern "C" {
#endif

#include "ldmp2v.h"

void adjust_filesystem_sizes(const config_t *, config_t *);
int create_filesystems(const config_t *);
int populate_filesystems(const config_t *, const char *, const char *,
    const char *);
int unmount_filesystems(const config_t *);
int get_mounted_filesystems(config_t *, int);

#ifdef __cplusplus
}
#endif

#endif	/* _P2V_FILESYS_H */
