/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)util.h	1.2	09/06/05 SMI"

#ifndef _P2V_UTIL_H
#define	_P2V_UTIL_H

#ifdef __cplusplus
extern "C" {
#endif

#define	CPIO_BIN	"/usr/bin/cpio"
#define	CPIO_CMD	"cpio"
#define	MKDIR_BIN	"/usr/bin/mkdir"
#define	MKDIR_CMD	"mkdir"
#define	NEWFS_BIN	"/usr/sbin/newfs"
#define	NEWFS_CMD	"newfs"
#define	PAX_BIN		"/usr/bin/pax"
#define	PAX_CMD		"pax"
#define	ZCAT_BIN	"/usr/bin/zcat"
#define	ZCAT_CMD	"zcat"

extern int verbose;
extern int devnull;
extern int logfile;

void msg(int, const char *, ...);
void warn(const char *, ...);
void die(const char *, ...);
int exec_cmd(int, const char *, ...);
void *Malloc(size_t);
char *Strdup(const char *);

int make_dir(const char *);
int mount_fs(const char *, const char *);
int get_sect_per_cyl(const char *);
int exec_sed(const char *, const char *, const char *);

#ifdef __cplusplus
}
#endif

#endif	/* _P2V_UTIL_H */
