/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_PM_INTERNAL_H_
#define	_PM_INTERNAL_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "pm_policy.h"
#include "pm_shared.h"
#include "pm_caps.h"


/* Local event notification struct */
typedef struct pmi_notify {
	pm_event_t	pn_event_type;
	srcid_t		*pn_src_ids;
	pm_res_type_t	pn_res_type;
	pm_resid_t	*pn_resids;
	int		pn_count;
	uint_t		pn_flag;
} pmi_notify_t;

#define	PM_STUCK_HIGH_TIMEOUT	30	/* 30 seconds */

bool_t pmi_is_hps_supported(void);
bool_t pmi_is_mem_supported(void);
int pmi_change_to_performance(bool_t);
int pmi_get_policy_by_snmp();
int pmi_process_config_change(pmi_notify_t *, ldm_err_t *);
int pmi_process_util_change(pmi_notify_t *);
int pmi_register_policy_change_event(pmi_policy_t);
int (*pmi_get_policy)(pmi_policy_t *);


#ifdef __cplusplus
}
#endif

#endif /* _PM_INTERNAL_H_ */
