/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_PM_POLICY_H_
#define	_PM_POLICY_H_

#pragma ident	"@(#)pm_policy.h	1.3	08/10/20 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include "picl/libpiclsnmp.h"

#define	LIBPICLSNMP		"libpiclsnmp.so.1"
#define	OID_ilomPMPolicy	"1.3.6.1.4.1.42.2.175.104.1.6.7"

typedef enum {
	PM_POLICY_NOT_SUPPORTED = 1,
	PM_POLICY_UNKNOWN,
	PM_POLICY_PERFORMANCE,
	PM_POLICY_ELASTIC
} pmi_policy_t;

int pmi_get_policy_by_snmp(pmi_policy_t *);
int pmi_init_policy_comm(void);
void pmi_policy_comm_fini(void);

#ifdef __cplusplus
}
#endif

#endif /* _PM_POLICY_H_ */
