/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef _PDEFS_H
#define	_PDEFS_H

/*
 * Zeus used parameters
 */

#define	PROM_BASE	(0xfff0000000)
#define	PROM_SIZE	(8M)
#define	RESET_OFFSET	(0)
#define	RESET_SIZE	(0x0010000)
#define	HV_OFFSET	(0x0010000)
#define	HV_SIZE		(0x3e00000)
#define	OBP_OFFSET	(0x3e80000)
#define	OBP_SIZE	(0x0080000)
#define	OBP_ALIGNMENT	(0x0800000)	/* 8 MB */
#define	OBP_MINALLOC	(0x0c00000)	/* 12 MB */

/*
 * Legion relevent parameters if used
 */
#define	XDCBRIDGE_BASE	0xfff0a00000
#define	XDCBRIDGE_SIZE	0xb8

/*
 * Below here is verbatim contents of VBSC file
 * src/platforms/md/common/pdefs.h.
 */

#define	HVBASE		2M
#define	DRAMSIZE	512M

#define	SVC_CFG_RX	0x00000001 /* support RECV */
#define	SVC_CFG_RE	0x00000002 /* support RECV intr */
#define	SVC_CFG_TX	0x00000004 /* support SEND */
#define	SVC_CFG_TE	0x00000008 /* support SEND intr */
#define	SVC_CFG_GET	0x00000010 /* support GETSTATUS */
#define	SVC_CFG_SET	0x00000020 /* support SETSTATUS */
#define	SVC_CFG_MAGIC	0x00000200 /* support legion magic trap */

#define	CFG_FULLDUPLEX_INTR	   \
	    (SVC_CFG_RX | SVC_CFG_RE | \
	    SVC_CFG_TX | SVC_CFG_TE | \
	    SVC_CFG_GET | SVC_CFG_SET)

#define	CFG_FULLDUPLEX	(SVC_CFG_RX | SVC_CFG_TX | SVC_CFG_GET | SVC_CFG_SET)

#define	CONSOLE_MTU	0x40
#define	NVRAM_MTU	0x40
#define	LOOP_MTU	0x80
#define	ECHO_MTU	0x80
#define	ASR_MTU		0x200
#define	POWER_MTU	64
#define	INTERNAL_MTU	0x200

#define	FMA_MTU		0x200
#define	SUNVTS_MTU	0x200
#define	SUNMC_MTU	0x200
#define	EXPLORER_MTU	0x200
#define	LED_MTU		0x200
#define	FLASHUPDATE_MTU	0x200
#define	TELCO_ALARM_MTU	0x200

#define	CONSOLE_SVC	0
#define	NVRAM_SVC	1
#define	ERROR_SVC	2
#define	DEBUG_SVC	3
#define	ECHO_SVC	4
#define	LOOPA_SVC	5
#define	LOOPB_SVC	6
#define	IPN_LINK_SVC	8
#define	ASR_SVC		9
#define	POWER_SVC	10

/* per-partition services */
#define	FMA_SVC		102
#define	SUNVTS_SVC	103
#define	SUNMC_SVC	104
#define	EXPLORER_SVC	105
#define	LED_SVC		106
#define	FLASHUPDATE_SVC	107
#define	TELCO_ALARM_SVC	108

#define	VDEV_HANDLE	0x100

#endif	/* _PDEFS_H */
