/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_PRI_SVC_H
#define	_PRI_SVC_H

#pragma ident	"@(#)pri_svc.h	1.3	07/05/21 SMI"

/*
 * PRI Protocol
 */

#ifdef __cplusplus
extern "C" {
#endif

#include <sys/types.h>

#define	INITIAL_PRI_TIMEOUT 10	/* time to wait for initial PRI in seconds */
#define	INITIAL_PRI_RETRIES 3	/* number of times to retry */

/*
 * Message types.
 */
enum {
	PRI_REQUEST	= 0,
	PRI_DATA 	= 1,
	PRI_UPDATE 	= 2
};

typedef struct {
	uint64_t	reqnum;
	uint64_t	type;
} pri_hdr_t;

typedef struct {
	pri_hdr_t	hdr;
} pri_req_t;

typedef struct {
	pri_hdr_t	hdr;
	char		data[];
} pri_data_t;

typedef struct {
	pri_hdr_t	hdr;
} pri_update_t;

#ifdef __cplusplus
}
#endif

#endif	/* _PRI_SVC_H */
