/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_PTRVEC_H
#define	_PTRVEC_H

#pragma ident	"@(#)ptrvec.h	1.3	08/02/07 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#define	NEW(type)		(type *) malloc(sizeof (type))
#define	NEW_CLEARED(type)	(type *) calloc(1, sizeof (type))
#define	NEW_ARRAY(size, type)	(type *) malloc(size * sizeof (type))

typedef void *ptrvec_t;

ptrvec_t ptrvec_new(void);
void	ptrvec_free(ptrvec_t);
void	ptrvec_delete(ptrvec_t);
void	ptrvec_append(ptrvec_t, void *);
int	ptrvec_count(ptrvec_t);
void	**ptrvec_vector(ptrvec_t);
void	ptrvec_clear(ptrvec_t);
void	*ptrvec_index(ptrvec_t, int index);

#ifdef __cplusplus
}
#endif

#endif	/* _PTRVEC_H */
