/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#define	NUM_API_GROUPS		320	/* 20 groups(16 bytes each) + 1 */
#define	CONS_INBUF_ENTRIES	512	

node root root {
	content-version = 0x100000000;	/* 1.0 */
	guestid = 0;
	fwd -> guest;
}

node guest guest {
	back -> root;
	ldc_mapin_basera = 0;
	ldc_mapin_size = 0;
	ldc_max_channel_idx = 0;
	ldc_mapin_free_idx = 0;
	state = 0;
	soft_state = 0;
	soft_state_str = { [32] };
	real_base = 0;
	real_limit = 0;
	mem_offset = 0;
	tod_offset = 0;
	entry = 0;
	api_versions = { [NUM_API_GROUPS] };
	api_groups = 0;
	rom_base = 0;
	rom_size = 0;
 	perfreg_accessible = 0;
        diagpriv = 0;
        perfreght_accessible = 0;
        rng_ctl_accessible = 0;
	vdev_cfghandle = 0;
	cdev_cfghandle = 0;
	util_start_stick = 0;
	util_stick_last = 0;
	util_stopped_cycles = 0;
	fwd -> memory;
	fwd -> console;
	fwd -> guest_watchdog;
	fwd -> vdev_states;
}

node memory memory {
	back -> guest;
	perm_mappings_count = 0;
	fwd -> permanent_mappings;
}

node console console {
	 type = 0;
	 status = 0;
         endpt = 0;
         in_head = 0;
         in_tail = 0;
	 in_buf = {[CONS_INBUF_ENTRIES]}; 
}

node guest_watchdog guest_watchdog {
	ticks = 0;
}

node permanent_mappings permanent_mappings {
	fwd -> permanent_mapping0;
	fwd -> permanent_mapping1;
	fwd -> permanent_mapping2;
	fwd -> permanent_mapping3;
	fwd -> permanent_mapping4;
	fwd -> permanent_mapping5;
	fwd -> permanent_mapping6;
	fwd -> permanent_mapping7;
	back -> memory;
}

#define	PERMANENT_MAPPING(_n)					\
	node permanent_mapping/**/_n permanent_mapping/**/_n {	\
		icpuset = { [32] };				\
		dcpuset = { [32] };				\
		va = 0;						\
		tte = 0;					\
		back -> permanent_mappings;			\
	}
 
PERMANENT_MAPPING(0)
PERMANENT_MAPPING(1)
PERMANENT_MAPPING(2)
PERMANENT_MAPPING(3)
PERMANENT_MAPPING(4)
PERMANENT_MAPPING(5)
PERMANENT_MAPPING(6)
PERMANENT_MAPPING(7)

#define	VDEV_STATE(_n)						\
	node	vdev_state/**/_n vdev_state/**/_n {		\
		state = 0;					\
		valid = 0;					\
		pcpu = 0;					\
		vcpu = 0;					\
		data0 = 0;					\
		pcpup = 0;					\
	}

node vdev_states vdev_states { 
	back -> guest; 
	fwd -> vdev_state0;
	fwd -> vdev_state1;
	fwd -> vdev_state2;
	fwd -> vdev_state3;
	fwd -> vdev_state4;
	fwd -> vdev_state5;
	fwd -> vdev_state6;
	fwd -> vdev_state7;
	fwd -> vdev_state8;
	fwd -> vdev_state9;
	fwd -> vdev_state10;
	fwd -> vdev_state11;
	fwd -> vdev_state12;
	fwd -> vdev_state13;
	fwd -> vdev_state14;
	fwd -> vdev_state15;
	fwd -> vdev_state16;
	fwd -> vdev_state17;
	fwd -> vdev_state18;
	fwd -> vdev_state19;
	fwd -> vdev_state20;
	fwd -> vdev_state21;
	fwd -> vdev_state22;
	fwd -> vdev_state23;
	fwd -> vdev_state24;
	fwd -> vdev_state25;
	fwd -> vdev_state26;
	fwd -> vdev_state27;
	fwd -> vdev_state28;
	fwd -> vdev_state29;
	fwd -> vdev_state30;
	fwd -> vdev_state31;
	fwd -> vdev_state32;
	fwd -> vdev_state33;
	fwd -> vdev_state34;
	fwd -> vdev_state35;
	fwd -> vdev_state36;
	fwd -> vdev_state37;
	fwd -> vdev_state38;
	fwd -> vdev_state39;
	fwd -> vdev_state40;
	fwd -> vdev_state41;
	fwd -> vdev_state42;
	fwd -> vdev_state43;
	fwd -> vdev_state44;
	fwd -> vdev_state45;
	fwd -> vdev_state46;
	fwd -> vdev_state47;
	fwd -> vdev_state48;
	fwd -> vdev_state49;
	fwd -> vdev_state50;
	fwd -> vdev_state51;
	fwd -> vdev_state52;
	fwd -> vdev_state53;
	fwd -> vdev_state54;
	fwd -> vdev_state55;
	fwd -> vdev_state56;
	fwd -> vdev_state57;
	fwd -> vdev_state58;
	fwd -> vdev_state59;
	fwd -> vdev_state60;
	fwd -> vdev_state61;
	fwd -> vdev_state62;
	fwd -> vdev_state63;
}
VDEV_STATE(0)
VDEV_STATE(1)
VDEV_STATE(2)
VDEV_STATE(3)
VDEV_STATE(4)
VDEV_STATE(5)
VDEV_STATE(6)
VDEV_STATE(7)
VDEV_STATE(8)
VDEV_STATE(9)
VDEV_STATE(10)
VDEV_STATE(11)
VDEV_STATE(12)
VDEV_STATE(13)
VDEV_STATE(14)
VDEV_STATE(15)
VDEV_STATE(16)
VDEV_STATE(17)
VDEV_STATE(18)
VDEV_STATE(19)
VDEV_STATE(20)
VDEV_STATE(21)
VDEV_STATE(22)
VDEV_STATE(23)
VDEV_STATE(24)
VDEV_STATE(25)
VDEV_STATE(26)
VDEV_STATE(27)
VDEV_STATE(28)
VDEV_STATE(29)
VDEV_STATE(30)
VDEV_STATE(31)
VDEV_STATE(32)
VDEV_STATE(33)
VDEV_STATE(34)
VDEV_STATE(35)
VDEV_STATE(36)
VDEV_STATE(37)
VDEV_STATE(38)
VDEV_STATE(39)
VDEV_STATE(40)
VDEV_STATE(41)
VDEV_STATE(42)
VDEV_STATE(43)
VDEV_STATE(44)
VDEV_STATE(45)
VDEV_STATE(46)
VDEV_STATE(47)
VDEV_STATE(48)
VDEV_STATE(49)
VDEV_STATE(50)
VDEV_STATE(51)
VDEV_STATE(52)
VDEV_STATE(53)
VDEV_STATE(54)
VDEV_STATE(55)
VDEV_STATE(56)
VDEV_STATE(57)
VDEV_STATE(58)
VDEV_STATE(59)
VDEV_STATE(60)
VDEV_STATE(61)
VDEV_STATE(62)
VDEV_STATE(63)
