/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

node root root {
	content-version = 0x100000000;	/* 1.0 */
	fwd -> ldc;
}

node ldc ldc {
	channel_idx = 0;
	svc_id = 0;

	/*
	 * XXX - The LDCs get reset on the isolate,
	 * so we think all of the q state should get
	 * recreated when the guest is recreated.
	 */
	txq_full = 0;
	tx_qbase_ra = 0;
	tx_qbase_pa = 0;
	tx_qsize = 0;
	tx_qhead = 0;
	tx_qtail = 0;
	tx_cb = 0;
	tx_cbarg = 0;
	rx_qbase_ra = 0;
	rx_qbase_pa = 0;
	rx_qsize = 0;
	rx_qhead = 0;
	rx_qtail = 0;
	rx_cb = 0;
	rx_cbarg = 0;
	rx_updated = 0;

	/* XXX - might be static state */
	target_type = 0;

	map_table_ra = 0;
	/* XXX - don't save PAs */
	map_table_pa = 0;
	map_table_nentries = 0;
       	map_table_sz = 0;
	fwd -> ldc_mapreg_tx;
	fwd -> ldc_mapreg_rx;
	back -> root;
}

node ldc_mapreg_tx ldc_mapreg_tx {
	state = 0;
	valid  = 0;
	ino = 0;
	pcpup = 0;
	cookie = 0;
	endpoint = 0;
	back -> ldc;
}

node ldc_mapreg_rx ldc_mapreg_rx {
	state = 0;
	valid  = 0;
	ino = 0;
	/* XXX - this should probably be the vcpuid */
	pcpup = 0;
	cookie = 0;
	endpoint = 0;
	back -> ldc;
}
