/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

node root root {
	content-version = 0x100000000;	/* 1.0 */
	vid = 0;
	cpu_mondo_base = 0;
	cpu_mondo_size = 0;
	dev_mondo_base = 0;
	dev_mondo_size = 0;
	dev_shadow_tail = 0;
	resumable_mondo_base = 0;
	resumable_mondo_size = 0;
	nonresumable_mondo_base = 0;
	nonresumable_mondo_size = 0;
	mmu_area = 0;
	mmu_area_ra = 0;
	rtba = 0;
	ntsb_ctx0 = 0;
	ntsb_ctxn = 0;
	tsbds_ctx0 = { [128] }; 
	tsbds_ctxn = { [128] }; 
	mmu_enabled = 0;
	util_stick_last = 0;
	util_yield_start = 0;
	util_yield_count = 0;
	util_last_yield_count = 0;
	util_last_yield_count_guest = 0;
	util_last_park_count = 0;
	util_last_park_count_guest = 0;
	fwd -> cpu;
	fwd -> queue;
}

node cpu cpu {
	back -> root;
	fwd -> int;
	fwd -> fp;
	fwd -> vis;
	fwd -> trap;
}

node int int {
	back -> cpu;
	num_windows = 8;
	window_regs = { [1024] };
	num_globals = 4;
	gl = 0;
	global_regs = { [168] };
	cwp = 0;
	y = 0;
	asi = 0;
	softint = 0;
	pil = 0;
	gsr = 0;
	tick = 0;
	stick = 0;
	stickcompare = 0;
	wstate = 0;
	cansave = 0;
	canrestore = 0;
	otherwin = 0;
	cleanwin = 0;
	scratchpad = { [64] };
	mmu_pcontext = 0;
	mmu_scontext = 0;
	mmu_pcontext1 = 0;
	mmu_scontext1 = 0;
}

node fp fp {
	back -> cpu;
	fsr = 0;
	fprs = 0;
	regs = { [256] };
}

node queue queue {
	back -> root;
	cpu_mondo_head = 0;
	cpu_mondo_tail = 0;
	dev_mondo_head = 0;
	dev_mondo_tail = 0;
	resumable_mondo_head = 0;
	resumable_mondo_tail = 0;
	nonresumable_mondo_head = 0;
	nonresumable_mondo_tail = 0;
}

node vis vis {
	back -> cpu;
}

node trap trap {
	back -> cpu;
	tba = 0;
	tl = 0;
	tstate = { [240] };
}
