/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef _SUNMC_CLIENT_H
#define	_SUNMC_CLIENT_H

#pragma ident	"@(#)sunmc_client.h	1.2	06/08/07 SMI"

#ifdef	__cplusplus
extern "C" {
#endif

#include <sys/processor.h>
#include "fma_cpu.h"

/*
 * fma_cpu zeus_get_p_status routine
 */
int (*cpu_status_fn)(fma_cpu_service_req_t *send, fma_cpu_resp_t *resp);

typedef struct sunmc_msg_op {
	uint32_t	cpuid;
} sunmc_msg_op_t;

typedef struct sunmc_resp_op {
	uint32_t	status;
} sunmc_resp_op_t;

#ifdef	__cplusplus
}
#endif

#endif /* _SUNMC_CLIENT_H */
