/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)fatal.c	1.3	06/02/17 SMI"

#include <stdarg.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>

#include "basics.h"
#include "fatal.h"

void
fatal(char *fmt, ...)
{
	va_list args;
	va_start(args, fmt);

	vfatal(true, true, fmt, args);
	va_end(args);
}

void
efatal(char *fmt, ...)
{
	va_list args;
	va_start(args, fmt);

	vfatal(true, false, fmt, args);
	va_end(args);
}

void
warning(char *fmt, ...)
{
	va_list args;
	va_start(args, fmt);

	vfatal(false, true, fmt, args);
	va_end(args);
}

void
ewarning(char *fmt, ...)
{
	va_list args;
	va_start(args, fmt);

	vfatal(false, false, fmt, args);
	va_end(args);
}
