/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_XML_COMMANDS_H_
#define	_XML_COMMANDS_H_

#pragma ident	"@(#)xml_commands.h	1.6	09/04/06 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include "cli_conn.h"

int xml_create(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_common_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_add(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_bind(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_start(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);

int xml_list_constraints(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_list_bindings(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_list(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_list_devices(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_list_services(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_list_sets(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_add_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_set_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_remove_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_list_variable(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);

int xml_unsupported(xmlNodePtr root_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);

/* V3 commands */
int xml_v3_list_bindings(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_v3_list_variable(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_v3_list_devices(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_v3_list_constraints(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_v3_list(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_v3_list_services(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_v3_list_sets(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_v3_create(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_v3_bind(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_v3_start(xmlNodePtr data_node, xmlNodePtr ret_cmd, cli_conn_t *client,
    int cmd_num);
int xml_v3_common_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_v3_add_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_v3_set_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client, int cmd_num);
int xml_v3_remove_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_v3_get_cookie_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_v3_domain_migrate_cmd(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);
int xml_v3_reboot_primary(xmlNodePtr data_node, xmlNodePtr ret_cmd,
    cli_conn_t *client,	int cmd_num);

#ifdef __cplusplus
}
#endif

#endif /* _XML_COMMANDS_H_ */
