/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_XML_COMMON_H
#define	_XML_COMMON_H

#pragma ident	"@(#)xml_common.h	1.9	09/02/13 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include <inttypes.h>
#include <libxml/tree.h>

#define	MAX_OPTIONS_LEN	2048

uint64_t xml_get_uint64_content(xmlNodePtr node);
long xml_get_long_content(xmlNodePtr node);
int xml_get_int_content(xmlNodePtr node);
void xml_set_int_content(xmlNodePtr node, int value);
xmlNodePtr xml_get_next_ele_node(xmlNodePtr node);
xmlNodePtr xml_find_subnode(xmlNodePtr node, const xmlChar *name);
char *get_name_from_data(xmlNodePtr data_node);
int create_pkt_buf(char **pkt_buf, char *xml_buf, int xml_buf_len,
    int msg_type);
char *v3_get_name_from_data(xmlNodePtr data_node);
void create_v3_property(xmlNodePtr parent, xmlChar *key, xmlChar *value);
xmlNodePtr create_v3_section(xmlNodePtr parent, xmlChar *type,
    xmlChar *obj_type);
int parse_options_node(xmlNodePtr ret_cmd, char ***flags);
void xml_add_ldm_interface_properties(xmlNodePtr root);

#ifdef __cplusplus
}
#endif

#endif	/* _XML_COMMON_H */
