/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_XML_OUTPUT_H_
#define	_XML_OUTPUT_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "ldmd_types.h"

#define	XML_BINDING_OUTPUT		0x00
#define	XML_CONSTRAINTS_OUTPUT		0x01
#define	XML_SERVICES_OUTPUT		0x02

#define	XML_AUTO_ALLOCATED_MACADDR	"auto-allocated"

void xml_output_constraints(int argc, char **argv, response_t *resp);

void add_cpu_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_mau_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_mem_output(xmlNodePtr data, ldom_t *ldp, int type);

void add_free_cpu(xmlNodePtr data);
void add_free_mau(xmlNodePtr data);
void add_free_mem(xmlNodePtr data);
void add_free_io(xmlNodePtr data);

void add_io_output(xmlNodePtr data, char *ldm_name, ldom_t *ldp, int type);

void add_vsw_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_vcc_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_vds_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_vdsdev_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_network_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_disk_output(xmlNodePtr data, ldom_t *ldp, int type);
int add_var_output(xmlNodePtr ret_data, ldom_t *ldp, int type,
    char *var_name);
void add_physio_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_vcons_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_vdpcs_output(xmlNodePtr data, ldom_t *ldp, int type);
void add_vdpcc_output(xmlNodePtr data, ldom_t *ldp, int type);

void add_v3_free_cpu(xmlNodePtr data);
void add_v3_free_mau(xmlNodePtr data);
void add_v3_free_mem(xmlNodePtr data);
void add_v3_free_io(xmlNodePtr data);

void add_v3_cpu_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_mau_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_mem_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_physio_output(xmlNodePtr ldom, ldom_t *ldp, int type);
int add_v3_var_output(xmlNodePtr ldom, ldom_t *ldp, int type,
    char *var_name);
void add_v3_io_output(xmlNodePtr ldom, char *ldm_name, ldom_t *ldp, int type);
void add_v3_vsw_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_vcc_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_vds_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_vdsdev_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_network_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_vdpcs_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_vdpcc_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_disk_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_vcons_output(xmlNodePtr ldom, ldom_t *ldp, int type);
void add_v3_policy_output(xmlNodePtr content, ldom_t *ldp, int type);
void add_v3_stats_ldom_info(xmlNodePtr ldom_info, ldom_t *ldp, int type);

#ifdef __cplusplus
}
#endif

#endif /* _XML_OUTPUT_H_ */
