/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_XML_RESOURCES_H_
#define	_XML_RESOURCES_H_

#ifdef __cplusplus
extern "C" {
#endif

int xml_vcpu(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_vcrypto(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr data, cli_conn_t *client);
int xml_vmem(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_vds(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_vdsdev(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr data, cli_conn_t *client);
int xml_vdisk(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_vsw(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_vnet(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_vcc(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_var(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_physio(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_spconfig(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_console(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_vdpcs(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_vdpcc(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_empty_res(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr data, cli_conn_t *client);

/* V3 Resource Routines */
int xml_v3_vcpu(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_vcrypto(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr data, cli_conn_t *client);
int xml_v3_vmem(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_vds(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_vdsdev(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr data, cli_conn_t *client);
int xml_v3_vdisk(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_vsw(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_vnet(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_vcc(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_var(xmlNodePtr res_node, ldom_t *ldp, int action, xmlNodePtr data,
    cli_conn_t *client);
int xml_v3_physio(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_v3_spconfig(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_v3_console(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_v3_vdpcs(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_v3_vdpcc(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_v3_ldm_info(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);
int xml_v3_policy(xmlNodePtr res_node, ldom_t *ldp, int action,
    xmlNodePtr ret_data, cli_conn_t *client);

#ifdef __cplusplus
}
#endif

#endif /* _XML_RESOURCES_H_ */
