/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_XML_V3_DEFS_H_
#define	_XML_V3_DEFS_H_

#pragma ident	"@(#)xml_v3_defs.h	1.3	08/08/14 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#define	XML_RESOURCE		((xmlChar *)"resource")
#define	XML_PROPERTY		((xmlChar *)"property")
#define	XML_KEY			((xmlChar *)"key")
#define	XML_VALUE		((xmlChar *)"value")

#define	ENVELOPE_NODE		((xmlChar *)"Envelope")
#define	REFERENCES_NODE		((xmlChar *)"References")
#define	CONTENT_NODE		((xmlChar *)"Content")
#define	SECTION_NODE		((xmlChar *)"Section")
#define	ITEM_NODE		((xmlChar *)"Item")
#define	OTHER_RESOURCE_NODE_OUT	((xmlChar *)"rasd:OtherResourceType")
#define	ALLOCATION_NODE_OUT	((xmlChar *)"rasd:AllocationUnits")
#define	ADDRESS_NODE_OUT	((xmlChar *)"rasd:Address")
#define	PROPERTY_NODE_OUT	((xmlChar *)"gprop:GenericProperty")
#define	BINDING_NODE_OUT	((xmlChar *)"bind:Binding")

#define	OTHER_RESOURCE_NODE_IN	((xmlChar *)"OtherResourceType")
#define	ALLOCATION_NODE_IN	((xmlChar *)"AllocationUnits")
#define	ADDRESS_NODE_IN		((xmlChar *)"Address")

#define	PROPERTY_NODE_IN	((xmlChar *)"GenericProperty")
#define	BINDING_NODE_IN		((xmlChar *)"Binding")
#define	ID_ATTR_IN		((xmlChar *)"id")

#define	TYPE_ATTR		((xmlChar *)"xsi:type")
#define	VIRTUAL_SYSTEM_TYPE	((xmlChar *)"ovf:VirtualSystem_Type")
#define	ID_ATTR			((xmlChar *)"ovf:id")
#define	VIRTUAL_HARDWARE_TYPE	((xmlChar *)"ovf:VirtualHardwareSection_Type")
#define	RESOURCE_SECTION_TYPE	((xmlChar *)"ovf:ResourceAllocation" \
						"Section_Type")
#define	KEY_ATTR		((xmlChar *)"key")

#define	XSI			((xmlChar *)"xmlns:xsi")
#define	NONAMESPACE		((xmlChar *)"xsi:noNamespaceSchemaLocation")
#define	OVF			((xmlChar *)"xmlns:ovf")
#define	RASD			((xmlChar *)"xmlns:rasd")
#define	VSSD			((xmlChar *)"xmlns:vssd")
#define	GPROP			((xmlChar *)"xmlns:gprop")
#define	BIND			((xmlChar *)"xmlns:bind")

#define	XML_SCHEMA ((xmlChar *)"http://www.w3.org/2001/XMLSchema-instance")
#define	LDMD_SCHEMA ((xmlChar *)"./schemas/combined-v3.xsd")
#define	ENVELOPE_SCHEMA ((xmlChar *)"./schemas/envelope")
#define	VSSD_SCHEMA ((xmlChar *)"./schemas/CIM_VirtualSystemSettingData")
#define	RASD_SCHEMA ((xmlChar *)"./schemas/CIM_ResourceAllocationSettingData")
#define	GPROP_SCHEMA ((xmlChar *)"./schemas/GenericProperty")
#define	BIND_SCHEMA ((xmlChar *)"./schemas/Binding")

#ifdef __cplusplus
}
#endif

#endif /* _XML_V3_DEFS_H_ */
