/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_XMPP_COMMON_H
#define	_XMPP_COMMON_H

#ifdef __cplusplus
extern "C" {
#endif

#define	READ_BUF_SIZE	1024
#define	XMPP_TIMEOUT	3000000 /* timeout is in milliseconds */
#define	XMPP_CONNECT_TIMEOUT		20000	/* units: milliseconds (ms) */
#define	MAX_THREADS	64

/*
 * function prototypes of common XMPP routines
 */
void	send_xml_node(xmlNodePtr node, cli_conn_t *conn);
int	iowrite(cli_conn_t *conn, char *buf, int size);
int	ioread(void *state, char *buf);
void	xmpp_close_conn(cli_conn_t *conn);
void	xmpp_set_conn_state(cli_conn_t *conn, int state);
void	error_func(void *state, const char *msg, ...);
bool_t	encode_string_base64(const char *in, uint_t inlen, char **out);

#if ZDBG
char	*get_state_string(int state);
void	print_state_change(cli_conn_t *conn, int new_state);
#endif

#ifdef __cplusplus
}
#endif

#endif	/* _XMPP_COMMON_H */
