/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_XMPP_SERVER_H
#define	_XMPP_SERVER_H

#ifdef __cplusplus
extern "C" {
#endif

#define	NS_STREAM	"xmlns:stream=\"http://etherx.jabber.org/streams\""

#define	STREAM_NODE		(xmlChar *)"stream:stream"
#define	FEATURE_NODE		(xmlChar *)"stream:features"
#define	MECHS_NODE		(xmlChar *)"mechanisms"
#define	MECH_NODE		(xmlChar *)"mechanism"
#define	CHALLENGE_NODE		(xmlChar *)"challenge"
#define	RESPONSE_NODE		(xmlChar *)"response"
#define	SUCCESS_NODE		(xmlChar *)"success"
#define	FAILURE_NODE		(xmlChar *)"failure"
#define	XMLNS_PROP		(xmlChar *)"xmlns"
#define	XMLNS_STREAM_PROP	(xmlChar *)"xmlns:stream"
#define	STARTTLS_NODE		(xmlChar *)"starttls"
#define	PROCEED_NODE		(xmlChar *)"proceed"
#define	REQUIRED_NODE		(xmlChar *)"required"
#define	ID_PROP			(xmlChar *)"id"
#define	FROM_PROP		(xmlChar *)"from"
#define	VERSION_PROP		(xmlChar *)"version"
#define	AUTH_NODE		(xmlChar *)"auth"
#define	END_STREAM_NODE		"</stream:stream>"
#define	IQ_NODE			(xmlChar *)"iq"

#define	NS_JABBER	" xmlns=\"jabber:client\" "
#define	STREAM_RETURN	"<?xml version='1.0'?><stream:stream " \
			"xml:lang=\"en\" version=\"1.0\" id=\"xmpp\"" \
			NS_JABBER NS_STREAM ">"
#define	STREAM_AUTH	"<iq type=\"result\" id=\"_xmpp_auth1\"/>"
#define	BODY_NODE		(xmlChar *)"body"
#define	MESSAGE_NODE		(xmlChar *)"message"

#define	NS_XMPP_SASL		(xmlChar *)"urn:ietf:params:xml:ns:xmpp-sasl"
#define	NS_XMPP_TLS		(xmlChar *)"urn:ietf:params:xml:ns:xmpp-tls"

void xmpp_write_buffer(cli_conn_t *conn, bool_t event);
int do_sasl_decode64(const char *in, unsigned inlen, char **out,
    unsigned *outlen);
void xml_send_async_cmd_result(cli_conn_t *client, xmlChar *cmd,
    char *ldom_name, unsigned int status);

#ifdef __cplusplus
}
#endif

#endif	/* _XMPP_SERVER_H */
