/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_ZPRINTF_H_
#define	_ZPRINTF_H_

#pragma ident	"@(#)zprintf.h	1.4	08/02/21 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __GNUC__
#define	__attribute__(x)
#endif

#include <stdarg.h>

/*
 * Printing/logging support.
 */

/*PRINTFLIKE1*/
void zprintf(char *formatp, ...)  __attribute__((format(printf, 1, 2)));
void zvprintf(char *formatp, va_list args);
void zprintf_lock(void);
void zprintf_unlock(void);

#ifdef __cplusplus
}
#endif

#endif /* _ZPRINTF_H_ */
